# fn() createSuffixArray
Creates a suffix array from a given text.

Defined in | <seqan/index.h>
Signature | `void createSuffixArray(suffixArray, text[, algoTag]);`

## Parameters

`suffix` | Array The resulting suffix array.
`text` | A given text. Types: ContainerConcept
`algoTag` | A tag that identifies the algorithm which is used for creation.

## Detailed Description

This function should not be called directly. Please use indexCreate or indexRequire. The size of `suffixArray` must be at least `length(text)` before calling this function.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- DemoSuffixArray

#### Dox Sources

    /*!
     * @fn createSuffixArray
     *
     * @headerfile <seqan/index.h>
     *
     * @brief Creates a suffix array from a given text.
     *
     * @signature void createSuffixArray(suffixArray, text[, algoTag]);
     *
     * @param[out] suffix Array The resulting suffix array.
     * @param[in] text A given text. Types: @link ContainerConcept @endlink
     * @param[in] algoTag A tag that identifies the algorithm which is used for
     *                    creation.
     *
     * This function should not be called directly. Please use @link
     * Index#indexCreate @endlink or @link Index#indexRequire @endlink. The size of
     * <tt>suffixArray</tt> must be at least <tt>length(text)</tt> before calling
     * this function.
     *
     * @see DemoSuffixArray
     */